Manjaro Linux -Forum Italiano-

Aggiornamento - rimozione gstreamer0.10

0 Utenti e 1 Visitatore stanno visualizzando questo topic.

Re:Aggiornamento - rimozione gstreamer0.10
« Risposta #15 il: Febbraio 01, 2017, 07:04:29 pm »
Rimosso anche io i pacchetti gstreamer0.10 anche se per cercandoli su AUR li trova lo stesso...
Comunque non ho avuto problemi di nessun tipo.
Acer Veriton M460
Intel(R) Pentium(R) Dual  CPU  E2220  2.40GHz  2gb RAM

Manjaro LXQt 64bit

feddy

Re:Aggiornamento - rimozione gstreamer0.10
« Risposta #16 il: Febbraio 01, 2017, 10:39:52 pm »

Ho avuto lo stesso problema.
Risolto installando la versione git che usa Python3, la trovi sempre in AUR, funziona allo stesso modo.
Questo?  https://aur.archlinux.org/packages/radiotray-python3-git/
Manjaro Ellada KDE

Cubanpit

  • *****
  • 1206
    • GitHub
Re:Aggiornamento - rimozione gstreamer0.10
« Risposta #17 il: Febbraio 02, 2017, 12:01:28 am »
Rimosso anche io i pacchetti gstreamer0.10 anche se per cercandoli su AUR li trova lo stesso...
Comunque non ho avuto problemi di nessun tipo.
Perch sono presenti su AUR, per una policy di Arch Linux tutti i pacchetti appena rimossi dai repository finiscono su AUR. L'importante non tenerseli installati inutilmente.

Questo?  https://aur.archlinux.org/packages/radiotray-python3-git/
Esattamente.

feddy

Re:Aggiornamento - rimozione gstreamer0.10
« Risposta #18 il: Febbraio 02, 2017, 12:06:54 am »
L'ho installato, si avvia ma poi non fa pi niente, cio cliccando sull'icona non esce nessuna stazione radio da poter selezionare.
Domani provo a controllare se sono soddisfatte tutte le dipendenze e se non risolvo, apro una discussione nella sezione giusta.
Grazie, ciao
Manjaro Ellada KDE

Re:Aggiornamento - rimozione gstreamer0.10
« Risposta #19 il: Febbraio 02, 2017, 03:20:42 pm »
Perch sono presenti su AUR, per una policy di Arch Linux tutti i pacchetti appena rimossi dai repository finiscono su AUR. L'importante non tenerseli installati inutilmente.
Grazie per la spiegazione  ^-^
Acer Veriton M460
Intel(R) Pentium(R) Dual  CPU  E2220  2.40GHz  2gb RAM

Manjaro LXQt 64bit

Re:Aggiornamento - rimozione gstreamer0.10
« Risposta #20 il: Febbraio 05, 2017, 08:46:05 pm »
Ho fatto l'aggiornamento (tutto bene) e rimosso gstreamer0.10-*, solo che un pacchetto da AUR (subtitle composer), richiede un pacchetto (pocketsphinx), che richiede gstreamer0.10-base, che se provato ad installare, richiede altri gstreamer a cascata (mi sono fermato al secondo); c' modo di risolvere senza reinstallare gli obsoleti gstreamer?
Manjaro KDE Plasma 5.9.4, KDE frameworks 5.32.0, QT 5.8, kernel 4.9.22-1-manjaro, 64 bit, processore: 4x Intel core I3 4330 @ 3,50 MHz, ram 3,5 Gb; grafica Intel Hd 4600.

Cubanpit

  • *****
  • 1206
    • GitHub
Re:Aggiornamento - rimozione gstreamer0.10
« Risposta #21 il: Febbraio 06, 2017, 04:09:48 pm »
Ho fatto l'aggiornamento (tutto bene) e rimosso gstreamer0.10-*, solo che un pacchetto da AUR (subtitle composer), richiede un pacchetto (pocketsphinx), che richiede gstreamer0.10-base, che se provato ad installare, richiede altri gstreamer a cascata (mi sono fermato al secondo); c' modo di risolvere senza reinstallare gli obsoleti gstreamer?
Non penso che ci sia una soluzione semplice, per nulla vieta di lasciare che il gestore di pacchetti installi gstreamer0.10 tramite AUR, in questo caso non inutile. Lo svantaggio il tempo necessario alla compilazione ad ogni aggiornamento di questi pacchetti.

Re:Aggiornamento - rimozione gstreamer0.10
« Risposta #22 il: Febbraio 06, 2017, 04:17:53 pm »
Ho fatto l'aggiornamento (tutto bene) e rimosso gstreamer0.10-*, solo che un pacchetto da AUR (subtitle composer), richiede un pacchetto (pocketsphinx), che richiede gstreamer0.10-base, che se provato ad installare, richiede altri gstreamer a cascata (mi sono fermato al secondo); c' modo di risolvere senza reinstallare gli obsoleti gstreamer?
Non penso che ci sia una soluzione semplice, per nulla vieta di lasciare che il gestore di pacchetti installi gstreamer0.10 tramite AUR, in questo caso non inutile. Lo svantaggio il tempo necessario alla compilazione ad ogni aggiornamento di questi pacchetti.

Modificando il PKGBUILD dopo averlo scaricato? Se ha senso, dove potrei trovare informazioni utili all'operazione?
Manjaro KDE Plasma 5.9.4, KDE frameworks 5.32.0, QT 5.8, kernel 4.9.22-1-manjaro, 64 bit, processore: 4x Intel core I3 4330 @ 3,50 MHz, ram 3,5 Gb; grafica Intel Hd 4600.

Cubanpit

  • *****
  • 1206
    • GitHub
Re:Aggiornamento - rimozione gstreamer0.10
« Risposta #23 il: Febbraio 06, 2017, 04:21:36 pm »
Se sono dipendenze necessarie vuol dire che non sono opzionali, bisogna installarle. (Immagino sia questo quel che vuoi ottenere modificando il PKGBUILD.)
Se vuoi indagare sul funzionamento di quel pacchetto senza le sue dipendenza necessarie ti consiglio di aprire un topic separato.  C:-)

max deal

  • *****
  • 638
  • The dark side of the moon
Re:Aggiornamento - rimozione gstreamer0.10
« Risposta #24 il: Febbraio 06, 2017, 04:25:28 pm »
Io non ho rimosso gstreamer 0.10 ho anche gstreamer, tutto funziona ,nessun problema come da post  precedente.
Se in futuro ci saranno problemi mi adeguo. :)
Un augurio di una vita serena e tranquilla.

manjaro xfce 32 bit e 64 bit

Re:Aggiornamento - rimozione gstreamer0.10
« Risposta #25 il: Febbraio 06, 2017, 04:38:06 pm »
Se sono dipendenze necessarie vuol dire che non sono opzionali, bisogna installarle. (Immagino sia questo quel che vuoi ottenere modificando il PKGBUILD.)
Se vuoi indagare sul funzionamento di quel pacchetto senza le sue dipendenza necessarie ti consiglio di aprire un topic separato.  C:-)

Ok, grazie... consideravo di sostituire la dipendenza gstreamer0.10 con il nuovo pacchetto gstreamer1.10 che lo sostituisce, cos da avere un funzionamento corretto dei vari pacchetti... da indagare attentamente, oppure, aspettare che magari vengano adeguate le dipendenze di pocketsphinx, dato che subtitlecomposer, ha gi adeguato il tutto... AUR una gran bella risorsa, ma non sempre...  :)
Manjaro KDE Plasma 5.9.4, KDE frameworks 5.32.0, QT 5.8, kernel 4.9.22-1-manjaro, 64 bit, processore: 4x Intel core I3 4330 @ 3,50 MHz, ram 3,5 Gb; grafica Intel Hd 4600.

Re:Aggiornamento - rimozione gstreamer0.10
« Risposta #26 il: Febbraio 08, 2017, 07:11:56 pm »
Se sono dipendenze necessarie vuol dire che non sono opzionali, bisogna installarle. (Immagino sia questo quel che vuoi ottenere modificando il PKGBUILD.)

E' stato sufficiente, alla richiesta di modifica del PKGBUILD,  durante l'installazione/upgrade, dare (S) e commentare (#) ad inizio riga le 2 voci riguardanti pocketsphinx (la makedepends e la optdepends), e salvare, per far si che tutta la procedura andasse a buon fine; di fatto il programma non strettamente necessario a subtitlecomposer (me lo ha confermato il manutentore su AUR), dato che immaturo e il riconoscimento del parlato non mi serve, quindi la sua compilazione e la richiesta di gst0.10, viene saltata dalla modifica al pkgbuild.  ;D
Manjaro KDE Plasma 5.9.4, KDE frameworks 5.32.0, QT 5.8, kernel 4.9.22-1-manjaro, 64 bit, processore: 4x Intel core I3 4330 @ 3,50 MHz, ram 3,5 Gb; grafica Intel Hd 4600.

Re:Aggiornamento - rimozione gstreamer0.10
« Risposta #27 il: Marzo 09, 2017, 11:34:16 am »
Ho eseguito la disinstallazione, tutto ok. Poi sono andato a vedere gli orfani... ne ho trovati ben 41, probabilmente legati a pasticci effettuati: che faccio li disinstallo?

Re:Aggiornamento - rimozione gstreamer0.10
« Risposta #28 il: Marzo 09, 2017, 09:26:28 pm »
Che sappia io i pacchetti orfani vanno sempre rimossi, o perlomeno io li rimuovo sempre, perch se servissero a qualche altro pacchetto non sarebbero orfani.
Acer Veriton M460
Intel(R) Pentium(R) Dual  CPU  E2220  2.40GHz  2gb RAM

Manjaro LXQt 64bit